# Interface methods for submodule: MultipleValuedNonLinearVnlOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MultipleValuedNonLinearOptimizerProxy as _MultipleValuedNonLinearOptimizerProxy


# Interface methods for class: MultipleValuedNonLinearVnlOptimizer
class MultipleValuedNonLinearVnlOptimizerProxy(_MultipleValuedNonLinearOptimizerProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetCostFunction(self, costFunction) -> None:
		""""""
		...

	def SetUseCostFunctionGradient(self, arg0: bool) -> None:
		""""""
		...

	def UseCostFunctionGradientOn(self) -> None:
		""""""
		...

	def UseCostFunctionGradientOff(self) -> None:
		""""""
		...

	def GetUseCostFunctionGradient(self) -> bool:
		""""""
		...

	def GetCachedValue(self) -> Sequence[float]:
		""""""
		...

	def GetCachedDerivative(self):
		""""""
		...

	def GetCachedCurrentPosition(self):
		""""""
		...

